// packageF/storeManagement/components/baseInfo_popup/goods_details_pop/goods_details_pop.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    defaultType:{
      type:[Number,Object,String]
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    show:false,
    active:1
  },

  
  observers:{
    defaultType(){
      this.setData({
        active:this.data.defaultType
      });
    }
  },

  /**
   * 组件的方法列表
   */
  methods: {
    showPopup(){
      this.setData({
        show:!this.data.show
      });
    },
    selectType(evt){
      let type = evt.currentTarget.dataset.type;
      this.setData({
        active:type
      });
    },
    confirmType(){
      this.showPopup();
      this.triggerEvent("confirmType",this.data.active);
    }
  }
});
